/*
 * Copyright (C) 2010 Atmark Techno, Inc. All Rights Reserved.
 */

/*
 * The code contained herein is licensed under the GNU General Public
 * License. You may obtain a copy of the GNU General Public License
 * Version 2 or later at the following locations:
 *
 * http://www.opensource.org/licenses/gpl-license.html
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef __ASM_ARCH_MXC_BOARD_ARMADILLO400_H__
#define __ASM_ARCH_MXC_BOARD_ARMADILLO400_H__

#include <mach/mxc_uart.h>
#include <linux/fsl_devices.h>

/* MXC UART board-level configurations */

/* UART 1 configuration */

/* This define specifies if the UART port is configured to be in DTE or
 * DCE mode. There exists a define like this for each UART port. Valid
 * values that can be used are \b MODE_DTE or \b MODE_DCE. */
#define UART1_MODE		MODE_DCE

/* This define specifies if the UART is to be used for IRDA. There exists a
 * define like this for each UART port. Valid values that can be used are
 * \b IRDA or \b NO_IRDA. */
#define UART1_IR		NO_IRDA

/* This define is used to enable or disable a particular UART port. If
 * disabled, the UART will not be registered in the file system and the user
 * will not be able to access it. There exists a define like this for each UART
 * port. Specify a value of 1 to enable the UART and 0 to disable it.
 */
#define UART1_ENABLED		0

/* UART 2 configuration */
#define UART2_MODE		MODE_DCE
#define UART2_IR		NO_IRDA
#define UART2_ENABLED		1

/* UART 3 configuration */
#define UART3_MODE		MODE_DTE
#define UART3_IR		NO_IRDA
#if defined(CONFIG_ARMADILLO400_UART3_CON9)
#define UART3_ENABLED		1
#else
#define UART3_ENABLED		0
#endif

/* UART 4 configuration */
#define UART4_MODE		MODE_DTE
#define UART4_IR		NO_IRDA
#if defined(CONFIG_ARMADILLO400_UART4_CON11)
#define UART4_ENABLED		1
#else
#define UART4_ENABLED		0
#endif

/* UART 5 configuration */
#define UART5_MODE		MODE_DTE
#define UART5_IR		NO_IRDA
#if defined(CONFIG_ARMADILLO400_UART5_CON9)
#define UART5_ENABLED		1
#else
#define UART5_ENABLED		0
#endif

#endif
